%define upstream_name    File-ShareDir-Install
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Install shared files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Dir)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
File::ShareDir::Install allows you to install read-only data files from a
distribution. It is a companion module to the File::ShareDir manpage, which
allows you to locate these files after installation.

It is a port the Module::Install::Share manpage to the ExtUtils::MakeMaker
manpage with the improvement of only installing the files you want; '.svn'
and other source-control junk will be ignored.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.140.0-2.mga10
+ Revision: 2214759
- Mageia 10 Mass Rebuild

* Mon Jul 04 2022 tv <tv> 0.140.0-1.mga9
+ Revision: 1867548
- update to 0.14

* Sun Mar 20 2022 umeabot <umeabot> 0.130.0-4.mga9
+ Revision: 1809292
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.130.0-3.mga8
+ Revision: 1504498
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.130.0-2.mga7
+ Revision: 1283713
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 shlomif <shlomif> 0.130.0-1.mga7
+ Revision: 1221561
- update to 0.13

* Sat Apr 21 2018 tv <tv> 0.120.0-1.mga7
+ Revision: 1220766
- update to 0.12

* Sat Jul 29 2017 sander85 <sander85> 0.110.0-1.mga7
+ Revision: 1132455
- update to 0.11

* Sun Jun 19 2016 pterjan <pterjan> 0.100.0-3.mga6
+ Revision: 1027557
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.100.0-2.mga6
+ Revision: 966620
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 sander85 <sander85> 0.100.0-1.mga6
+ Revision: 846218
- update to 0.10

* Sun Oct 19 2014 umeabot <umeabot> 0.90.0-5.mga5
+ Revision: 790477
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-4.mga5
+ Revision: 743916
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.90.0-3.mga5
+ Revision: 732142
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-2.mga5
+ Revision: 684763
- Mageia 5 Mass Rebuild

* Tue Jul 08 2014 sander85 <sander85> 0.90.0-1.mga5
+ Revision: 650652
- update to 0.09

* Mon Feb 10 2014 jquelin <jquelin> 0.80.0-1.mga5
+ Revision: 588404
- update to 0.08

* Sat Oct 19 2013 umeabot <umeabot> 0.50.0-2.mga4
+ Revision: 534054
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.50.0-1.mga4
+ Revision: 476089
- update to 0.05

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 367378
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- update to 0.04

* Wed Jan 19 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 24063
- cleaning spec file
- imported package perl-File-ShareDir-Install

